/**
 * 应用列表
 * @version $Id$
 */

var AppList = {
	/**
	 * 常用工具弹窗tab选项卡
	 * @method appListTabs
	 * @return {[type]} [description]
	 */
	appListTabs : function(){
		$('[data-toggle="tab"]').on("show", function() {
			var catid = $.attr(this, "data-id");
			App.getAppList({catid: catid, page: 1});
		});
	}
};

$(function(){
	//获取应用工具列表
	App.getAppList({catid: "0", page: 1});

	//常用工具弹窗tab选项卡
	AppList.appListTabs();

	//应用工具弹窗
	$("#app_dialog").bindEvents({
		// 上一页
		"click [data-node-type='appPrevPageBtn']": function() {
			var $elem = $(this),
				param = Ibos.app.g("appListParam");
			
			param = $.extend({}, param, {
				page: param.page - 1
			});
			App.getAppList(param);
		},
		// 下一页
		"click [data-node-type='appNextPageBtn']": function() {
			var $elem = $(this),
					param = Ibos.app.g("appListParam");
			
			param = $.extend({}, param, {
				page: param.page + 1
			});
			App.getAppList(param);
		},
		// 添加 app
		"click [data-node-type='appItem']": function(evt) {
			var addType = Ibos.app.g("addAppType"),
				data = $(this).data(),
				isDashboard = Ibos.app.g("isDashboard");

			data = {
				height: data.appHeight,
				icon: data.appIcon,
				appid: data.appId,
				name: data.appName,
				url: data.appUrl,
				width: data.appWidth
			};

			if (addType === "shortcut") {
				if(isDashboard){
					App.addShortcut(data);
				}else{
					App.op.addShortcut(data).done(function(res) {
						if (res.isSuccess) {
							App.addShortcut(data);
						}
					});
				}
			} else if (addType === "widget") {
				if(isDashboard){
					App.addWidget(data);
				}else{
					App.op.saveWidgets(data).done(function(res) {
						if (res.isSuccess) {
							App.addWidget(data);
							Ui.closeDialog("d_app");
						}
					});
				}
			}
		}
	});
});