$(function(){
	var Meeting = {
		op: {
			/**
			 * 删除会议
			 * @method removeMeeting
			 * @param  {Object} param 传入JSON格式数据
			 * @return {Object}       返回deffered对象
			 */
			"removeMeeting": function(param){
				var url = Ibos.app.url('meeting/restmanager/delete');
				return $.post(url, param, $.noop, "json");
			},
			/**
			 * 审批通过
			 * @method verifyMeeting
			 * @param  {Object} param 传入JSON格式数据
			 * @return {Object}       返回deffered对象
			 */
			"verifyMeeting": function(param){
				var url = Ibos.app.url("meeting/restmanager/put",{'op' : 'pass'});
				return $.post(url, param, $.noop, "json");
			},
			/**
			 * 审批退回
			 * @method rollbackMeeting
			 * @param  {Object} param 传入JSON格式数据
			 * @return {Object}       返回deffered对象
			 */
			"rollbackMeeting": function(param){
				var url = Ibos.app.url("meeting/restmanager/put",{'op' : 'back'});
				return $.post(url, param, $.noop, "json");
			}
		},
		/**
		 * 改变状态提示
		 * @method changStatusTip
		 * @param  {Object} $tipWrap 传入jquery节点对象
		 * @param  {Object} param    传入JSON格式数据
		 */
		"changStatusTip": function($tipWrap, param){
			var $tip = $tipWrap.find("i"),
				beginTime = param.begin,
				endTime = param.end,
				now = parseInt((new Date().getTime()) / 1000);
			if(endTime - now >= 0){
				if(now < beginTime){
					$tip.removeClass().addClass("o-status-nogoing");
				}
				if(now > beginTime && now < endTime){
					$tip.removeClass("o-status-nogoing").addClass("o-status-applying");
				}
			}else{
				$tip.removeClass("o-status-applying").addClass("o-status-ended");
			}
		}
	};

	(function(){
		var param = $("#meeting_timerange").data("param"),
			$tipWrap = $("#status_tip_wrap");
		Meeting.changStatusTip($tipWrap, param);
	})();
	

	var	$wrap = $("#check_step_wrap"),
		$returnUrl = $("#return_prev_url"),
		returnUrl = U.getCookie("returnUrl");
	// 实时的判断当前会议的状态
	
	// 通过cookie设置返回的url
	if(returnUrl != ""){
		$returnUrl.attr("href", returnUrl);
		U.setCookie("returnUrl", "");
	}


	Ibos.evt.add({
		// 删除会议
		"removeMeeting": function(param, elem){
			Ui.confirm( Ibos.l("MEETING.REVOKE_MEETING_CONFIRM") , function() {
				Meeting.op.removeMeeting(param).done(function(res){
					if (res.isSuccess) {
						Ui.tip(res.msg);
						window.location.href = Ibos.app.url('meeting/manager/index');
					}
				});
			});
		},
		// 审批通过
		"verifyMeeting": function(param, elem){
			var url = $returnUrl.attr("href");
			$wrap.waiting(null, "mini", true);
			Meeting.op.verifyMeeting(param).done(function(res){
				if(res.isSuccess){
					//设置cookie保存跳转前返回按钮的url;
					U.setCookie("returnUrl", url);
					window.location.reload();
				}
				Ui.tip(res.msg, res.isSuccess ? "" : "danger");
				$wrap.waiting(false);
			});
		},
		// 审批退回
		"rollbackMeeting": function(param, elem){
			var $this = $(this);
			var dialog = Ui.dialog({
				title: Ibos.l("MEETING.BACK_REASON"),
				id: "d_meeting",
				cancel: true,
				content: document.getElementById("rollback_reason"),
				ok: function(){
					var reason = $("#rollback_textarea").val(),
						url = $returnUrl.attr("href"); 
					if(reason){
						var id = $this.data("id"),
							param = {mid: id, reason: reason, url: url};
						$wrap.waiting(null, "mini", true);
						Meeting.op.rollbackMeeting(param).done(function(res){
							if(res.isSuccess){
								//设置cookie保存跳转前返回按钮的url;
								U.setCookie("returnUrl", url);
								window.location.reload();
							}
							Ui.tip(res.msg, res.isSuccess ? "" : "danger");
							$wrap.waiting(false);
						});
					}else{
						Ui.tip( Ibos.l("MEETING.BACK_REASON_EMPTY"), "warning");
						return false;
					}
				}
			});
		},
		// 电话通知内部参会人员
		"callAttender": function(param, elem){
			var $this = $(this),
				uids = $this.data("uids"),
				uidsArray = [];
			uidsArray.push(uids);
			Ibos.Call.connect(uidsArray, "meeting");
		}
	});
});