$(function() {
    var timeLimit = {
        init: function() {
            var table = Ibos.app.g("type") === "query" ? this.queryTable() : this.countTable();
            this.datePicker();
            this.selectInit();
            return table;
        },
        highSearch: function(table, param) {
            var postUrl = Ibos.app.g("type") === "query" ? 'workflow/timelimit/query' : 'workflow/timelimit/count';
            table.ajax.url(Ibos.app.url(postUrl, param)).load();
            // $("#sn_search").search(function(value) {
            //     table.search(value).draw();
            // }, function() {
            //     Ui.dialog({
            //         id: "sn_advance_search",
            //         title: U.lang("ADVANCED_SETTING"),
            //         content: document.getElementById("sn_search_advance"),
            //         lock: true,
            //         cancel: true,
            //         ok: function() {
            //             var param = this.DOM.content.find("form").serializeArray();
            //             table.ajax.url(Ibos.app.url('supply/list/index', U.serializedToObject(param))).load();
            //         }
            //     });
            // });
        },
        queryTable: function() {
            var table = $("#time_query_table").DataTable($.extend({}, Ibos.settings.dataTable, {
                deferLoading: 0, // 每个文件加上这一行
                ajax: {
                    url: "",
                    type: 'post'
                },
                // --- Callback
                initComplete: function() {
                    // Fixed: IE8下表格初始化后需要再次初始化 checkbox，否则触发不了change事件
                    $(this).find('[data-name]').label();
                },
                rowCallback: function(row, data) {
                    $(row).find("label input[type='checkbox']").label();
                },
                order: [1, "desc"],
                columns: [
                    //复选框
                    {
                        "data": "",
                        "orderable": false,
                        "render": function(data, type, row) {
                            return '<label class="checkbox mbz"><input type="checkbox" name="query[]" value="' + row.id + '"/></label>';
                        }
                    }, {
                        "data": "symbolname",
                        "render": function(data, type, row) {
                            return '<div class="ellipsis w140" title="' + row.symbolname + '"><span>' + row.symbolname + '</span></div>';
                        }
                    }, {
                        "data": "stepname",
                        "render": function(data, type, row) {
                            return '<div class="ellipsis w80" title="' + row.stepname + '"><span>' + row.stepname + '</span></div>';
                        }
                    }, {
                        "data": "stepstate",
                        "render": function(data, type, row) {
                            return '<span>' + row.stepstate + '</span>';
                        }
                    }, {
                        "data": "transactor",
                        "render": function(data, type, row) {
                            return '<span>' + row.transactor + '</span>';
                        }
                    }, {
                        "data": "timelimit",
                        "render": function(data, type, row) {
                            return '<span>' + row.timelimit + '</span>';
                        }
                    }, {
                        "data": "overtime",
                        "render": function(data, type, row) {
                            return '<div>' + row.overtime + '</div>' +
                                '<div>' +
                                '<a class="btn btn-primary" href="javascript:;" data-key="' + row.runKey + '">主办</a>' +
                                '</div>';
                        }
                    },
                ]
            }));
            return table;
        },
        countTable: function() {
            var table = $("#time_count_table").DataTable($.extend({}, Ibos.settings.dataTable, {
                deferLoading: 0, // 每个文件加上这一行
                ajax: {
                    url: location.href,
                    type: 'post'
                },
                // --- Callback
                initComplete: function() {
                    // Fixed: IE8下表格初始化后需要再次初始化 checkbox，否则触发不了change事件
                    $(this).find('[data-name]').label();
                },
                rowCallback: function(row, data) {
                    $(row).find("label input[type='checkbox']").label();
                },
                order: [1, "desc"],
                columns: [
                    //复选框
                    {
                        "data": "",
                        "orderable": false,
                        "render": function(data, type, row) {
                            return '<label class="checkbox mbz"><input type="checkbox" name="count[]" value="' + row.id + '"/></label>';
                        }
                    }, {
                        "data": "user",
                        "render": function(data, type, row) {
                            return '<div class="ellipsis w60" title="' + row.user + '"><span>' + row.user + '</span></div>';
                        }
                    }, {
                        "data": "department",
                        "render": function(data, type, row) {
                            return '<span>' + row.department + '</span>';
                        }
                    }, {
                        "data": "flowcount",
                        "render": function(data, type, row) {
                            return '<span>' + row.flowcount + '</span>';
                        }
                    }, {
                        "data": "unreceive",
                        "render": function(data, type, row) {
                            return '<span>' + row.unreceive + '</span>';
                        }
                    }, {
                        "data": "perform",
                        "render": function(data, type, row) {
                            return '<span>' + row.perform + '</span>';
                        }
                    }, {
                        "data": "finish",
                        "render": function(data, type, row) {
                            return '<span>' + row.finish + '</span>';
                        }
                    }, {
                        "data": "overcount",
                        "render": function(data, type, row) {
                            return '<span>' + row.overcount + '</span>';
                        }
                    }
                ]
            }));
            return table;
        },
        datePicker: function() {
            var receive_start_picker = $("#receive_start_picker"),
                receive_end_picker = $("#receive_end_picker"),
                finish_start_picker = $("#finish_start_picker"),
                finish_end_picker = $("#finish_end_picker");

            receive_start_picker.datepicker({ target: receive_end_picker });
            finish_start_picker.datepicker({ target: finish_end_picker });

            $("#flow_receive").on("change", function() {
                var value = $(this).val();
                switch (value) {
                    case "none":
                    case "today":
                    case "yesterday":
                    case "thisweek":
                    case "lastweek":
                    case "thismonth":
                    case "lastmonth":
                        receive_start_picker.parent().removeClass('show');
                        receive_end_picker.parent().removeClass('show');
                        break;
                    case "custom":
                        receive_start_picker.parent().addClass('show');
                        receive_end_picker.parent().addClass('show');
                        break;
                    default:
                        break;
                }
            });

            $("#flow_finish").on("change", function() {
                var value = $(this).val();
                switch (value) {
                    case "none":
                    case "today":
                    case "yesterday":
                    case "thisweek":
                    case "lastweek":
                    case "thismonth":
                    case "lastmonth":
                        finish_start_picker.parent().removeClass('show');
                        finish_end_picker.parent().removeClass('show');
                        break;
                    case "custom":
                        finish_start_picker.parent().addClass('show');
                        finish_end_picker.parent().addClass('show');
                        break;
                    default:
                        break;
                }
            })
        },
        selectInit: function() {
            $("#time_query_user").userSelect({
                data: Ibos.data.get(),
                type: "all"
            });

            $("#flow_choose").ibosSelect({
                data: Ibos.app.g("flowlist"),
                multiple: false
            });
        }
    }

    // 初始化database, 获取table
    var table = timeLimit.init();

    Ibos.evt.add({
        "moreCondition": (function() {
            var text = $("#more_text"),
                wrap_con = $("#timequery_more_con"),
                more_tip = $(".timequery-more-tip"),
                i = 0;
            return function() {
                i++;
                if (i % 2 == 0) {
                    text.text("展开信息");
                    more_tip.removeClass('transform');
                } else {
                    text.text("收起信息");
                    more_tip.addClass('transform');
                }
                wrap_con.slideToggle('fast');
            }
        })(),
        // 主办
        "hostView": function(param, elem) {
            var runKey = $(elem).data("key");
            window.open(Ibos.app.url("workflow/form/index", {
                key: runKey
            }));
        },
        // 工作流状态选择
        "typeSetting": function(param, elem) {
            var $this = $(elem),
                flowtype = $("#flow_type");

            $this.siblings().removeClass('active');
            $this.addClass('active');
            flowtype.val($this.data('type'));
        },
        // 步骤状态选择
        "stateSetting": function(param, elem) {
            var $this = $(elem),
                $parent = $this.parent(),
                step_state = $("#step_state");

            $parent.siblings().removeClass('active');
            $parent.addClass('active');
            step_state.val($this.data('type'));
        },
        // 办理时限
        "timeSetting": function(param, elem) {
            var $this = $(elem),
                time = param.value,
                menu = $this.closest(".dropdown-menu"),
                parent = $this.parent(),
                text_con = $("#setting_timelimit"),
                timeunit = $("input[name=timeunit]");
            // 样式修改
            menu.children("li").removeClass("active");
            parent.addClass("active");
            // 单位值修改
            switch (time) {
                case "mins":
                    text_con.text("分");
                    break;
                case "hours":
                    text_con.text("小时");
                    break;
                case "days":
                    text_con.text("天");
                    break;
                case "weeks":
                    text_con.text("周");
                    break;
                default:
                    break;
            }
            timeunit.val(time);
        },
        // 表单查询
        "timeLimitQuery": function(param, elem) {
            var paramArr = $(".query-form form").serializeArray(),
                param = U.serializedToObject(paramArr);

            $.extend(param, {
                queryrange: $("#time_query_range").val(),
                flowreceive: $("#flow_receive").val(),
                flowfinish: $("#flow_finish").val()
            });

            timeLimit.highSearch(table, param);
        }
    })
});
